#!/bin/bash

# Zenwalk Gnu/Linux build script written for "e17_themes4"
# Soft Home Page: http://www.enlightenment.org
# Source URL: http://www1.get-e.org/Themes/E17/
# Software's Dependencies: ""
# Package Maintainer: Michael Verret (AxXium) axxium.zenlnx@gmail.com
# Date of script Revision: Friday 22 June 2007


#------------------( Unique Package Variables )


SOFT='e17_themes4'
SOFTVERSION='0.16.999.039'		# Obtain the version from the e17_base package
BUILDVERSION='48.1'
ARCH='noarch'
DOCS="ChangeLog FILES README"
#      |-----handy-ruler------------------------------------------------------|
DESC_LINE_01="Themes for Enlightenment DR 17"
DESC_LINE_02=""
DESC_LINE_03="This package contains nice looking themes Enlightenment"
DESC_LINE_04="DR 17 To keep the size of this package small only two."
DESC_LINE_05="themes are included. The themes included in this package"
DESC_LINE_06="are blue_eyed and dali."
DESC_LINE_07=""
DESC_LINE_08="This is package number 4 of 4 optional theme packages"
DESC_LINE_09=""
DESC_LINE_10=""
DESC_LINE_11=""


#------------------( Standard Variables & Routines )


REACTOR="$SOFT-$SOFTVERSION"
BUILDIR=$(pwd)
cd $BUILDIR
PACKAGE="$REACTOR-$ARCH-$BUILDVERSION"
DEST="$BUILDIR/$PACKAGE"

rm -rf {$DEST,$DEST.dep,$DEST.md5,$DEST.tgz,$PACKAGE,$PACKAGE.dep,$PACKAGE.md5} 1>/dev/null 2>&1
mkdir -p {$DEST,$DEST/usr/doc/$REACTOR,$DEST/install,$DEST/usr/src/$REACTOR}


#------------------( Add third-party themes )


mkdir -p $DEST/usr/share/enlightenment/data/themes
tar -xvjf $BUILDIR/more-themes4.tar.bz2
mv $BUILDIR/more-themes4/*.edj $DEST/usr/share/enlightenment/data/themes
rm -rf $BUILDIR/more-themes4


#------------------( Packaging )


cd $BUILDIR
cp -a  $DOCS $DEST/usr/doc/$REACTOR

( cd $DEST/usr/doc/$REACTOR
  tar -xvjf $BUILDIR/html.tar.bz2
)


cat <<EOF > $DEST/install/slack-desc 
      |-----handy-ruler------------------------------------------------------|
$SOFT: $DESC_LINE_01
$SOFT: $DESC_LINE_02
$SOFT: $DESC_LINE_03
$SOFT: $DESC_LINE_04
$SOFT: $DESC_LINE_05
$SOFT: $DESC_LINE_06
$SOFT: $DESC_LINE_07
$SOFT: $DESC_LINE_08
$SOFT: $DESC_LINE_09
$SOFT: $DESC_LINE_10
$SOFT: $DESC_LINE_11
EOF

cat <<EOF > $BUILDIR/$PACKAGE.dep
e17_base,e17_libs
EOF

cp $BUILDIR/build-$SOFT.sh $DEST/usr/src/$REACTOR/build-$SOFT.sh

cd $DEST
makepkg -l y -c n ../$PACKAGE.tgz
cd $BUILDIR
rm -rf {$DEST,$REACTOR}

cd $BUILDIR
md5sum $PACKAGE.tgz > $PACKAGE.md5